| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- File List
- File Members

Loading...
Searching...
No Matches
Macros | Functions
AAX_Exports.cpp File Reference
`#include "AAX_Init.h"`
`#include "AAX.h"`
`#include "acfunknown.h"`
`#include "acfresult.h"`

## Macros
#define | AAX_EXPORT extern "C" __declspec(dllexport) ACFRESULT __stdcall

## Functions
AAX_EXPORT | ACFRegisterPlugin (IACFUnknown *pUnkHostVoid, IACFPluginDefinition **ppPluginDefinitionVoid)
| The main plug-in registration method.
AAX_EXPORT | ACFRegisterComponent (IACFUnknown *pUnkHost, acfUInt32 index, IACFComponentDefinition **ppComponentDefinition)
| Registers a specific component in the DLL.
AAX_EXPORT | ACFGetClassFactory (IACFUnknown *pUnkHost, const acfCLSID &clsid, const acfIID &iid, void **ppOut)
| Gets the factory for a given class ID.
AAX_EXPORT | ACFCanUnloadNow (IACFUnknown *pUnkHost)
| Determines whether or not the host may unload the DLL.
AAX_EXPORT | ACFStartup (IACFUnknown *pUnkHost)
| DLL initialization routine.
AAX_EXPORT | ACFShutdown (IACFUnknown *pUnkHost)
| DLL shutdown routine.
AAX_EXPORT | ACFGetSDKVersion (acfUInt64 *oSDKVersion)
| Returns the DLL's SDK version.

## Macro Definition Documentation

## ◆ AAX_EXPORT

#define AAX_EXPORT extern "C" __declspec(dllexport) ACFRESULT __stdcall

## Function Documentation

## ◆ ACFRegisterPlugin()

ACFAPI ACFRegisterPlugin | ( | IACFUnknown * | pUnkHost,
|  | IACFPluginDefinition ** | ppPluginDefinition
| ) |  |

The main plug-in registration method.

References AAXRegisterPlugin().

Here is the call graph for this function:

## ◆ ACFRegisterComponent()

ACFAPI ACFRegisterComponent | ( | IACFUnknown * | pUnkHost,
|  | acfUInt32 | index,
|  | IACFComponentDefinition ** | ppComponentDefinition
| ) |  |

Registers a specific component in the DLL.

References AAXRegisterComponent().

Here is the call graph for this function:

## ◆ ACFGetClassFactory()

ACFAPI ACFGetClassFactory | ( | IACFUnknown * | pUnkHost,
|  | const acfCLSID & | clsid,
|  | const acfIID & | iid,
|  | void ** | ppOut
| ) |  |

Gets the factory for a given class ID.

References AAXGetClassFactory().

Here is the call graph for this function:

## ◆ ACFCanUnloadNow()

ACFAPI ACFCanUnloadNow | ( | IACFUnknown * | pUnkHost | ) |

Determines whether or not the host may unload the DLL.

References AAXCanUnloadNow().

Here is the call graph for this function:

## ◆ ACFStartup()

ACFAPI ACFStartup | ( | IACFUnknown * | pUnkHost | ) |

DLL initialization routine.

References AAXStartup().

Here is the call graph for this function:

## ◆ ACFShutdown()

ACFAPI ACFShutdown | ( | IACFUnknown * | pUnkHost | ) |

DLL shutdown routine.

References AAXShutdown().

Here is the call graph for this function:

## ◆ ACFGetSDKVersion()

ACFAPI ACFGetSDKVersion | ( | acfUInt64 * | oSDKVersion | ) |

Returns the DLL's SDK version.

References AAXGetSDKVersion().

Here is the call graph for this function: